Solutions > Core4 CRM Announcements & Version Updates

Core4 CRM is Now Compatible with macOS 10.13

(1/1)

Admin:
Core4 CRM v 3.0.0.5 is now compatible with macOS 10.13. See below for full version history for this release.

Version History:
- This solution is verified compatible with  Mac OS 10.11- 10.13

For more information, please visit www.core4crm.com.

Navigation

[0] Message Index

Go to full version